/*
 * proto.h		Generic lock protocol interface.
 *
 */

#ifndef PROTO_H
#define PROTO_H

/*
 * Lock protocol description.
 */
typedef struct lockd_proto {
	int		(*init)(lockd_req *rq);
	int		(*send)(lockd_req *rq);
	int		(*getconflock)(lockd_req *, struct lklm_holder *);
} lockd_proto;

lockd_proto *	proto_find(int protnum);

#endif /* PROTO_H */
